Subject: Re: [bug#65351] [PATCH] gnu: Add cgit-pink.

From: "(" <[email-masked]>
Date: Thu, 17 Aug 2023 21:53:47 +0100

Liliana Marie Prikler <[email-masked]> writes:
> You sure about that?  cgit has its git source as a regular input...

I mean, I suppose it doesn't really matter, especially not here, but I
think it saves the user re-downloading the source file if they first
compile normally and then cross-compile...?  Because the derivation will
specify the host system, not the target system.

As I said, it's probably not a huge deal with cgit-pink, but I think
it's good to use best practices everywhere, even when it's not strictly
necessary, so that anyone reading the source who spots such a usage will
know to put their secondary <ORIGIN> object in NATIVE-INPUTS in both
cases where the package is rarely cross-compiled and cases where it's
fairly common.

  -- (